Forms via wbeditentity: Edit
Closed, ResolvedPublic

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 431544 had a related patch set (by Pablo Grass (WMDE)) published:
[mediawiki/extensions/WikibaseLexeme@master] FormTitleStoreLookup: encapsulate model logic

https://gerrit.wikimedia.org/r/431544

Change 431544 abandoned by Pablo Grass (WMDE):
FormTitleStoreLookup: encapsulate model logic

Reason:
https://gerrit.wikimedia.org/r/#/c/427923/ has most of this

https://gerrit.wikimedia.org/r/431544

Change 433171 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] API: when validating change op make sure the edited entity is also validated

https://gerrit.wikimedia.org/r/433171

Change 433172 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Added tests for incomplete clear or no-op requests to wbeditentity

https://gerrit.wikimedia.org/r/433172

Change 433178 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Added a test for clear flag and form id passed to wbeditentity API

https://gerrit.wikimedia.org/r/433178

Change 433172 abandoned by WMDE-leszek:
Added tests for incomplete clear or no-op requests to wbeditentity

Reason:
squashed into I5913ae91255f87613742e13299df43aedba1f763

https://gerrit.wikimedia.org/r/433172

Change 433178 abandoned by WMDE-leszek:
Added a test for clear flag and form id passed to wbeditentity API

Reason:
squashed I5913ae91255f87613742e13299df43aedba1f763

https://gerrit.wikimedia.org/r/433178

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.May 17 2018, 7:33 AM

Change 433171 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] API: when validating change op make sure the edited entity is also validated

https://gerrit.wikimedia.org/r/433171

Change 433751 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Handle invalid lexemeId in data when using wbeditentity new=form

https://gerrit.wikimedia.org/r/433751

Change 427660 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use ChangeOps consistently throughout API

https://gerrit.wikimedia.org/r/427660

Change 427177 abandoned by WMDE-leszek:
DNM Added some specification of wbeditentity as tests

https://gerrit.wikimedia.org/r/427177

Change 433751 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Handle invalid lexemeId in data when using wbeditentity new=form

https://gerrit.wikimedia.org/r/433751

Change 434445 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Use ChangeOps consistently throughout API

https://gerrit.wikimedia.org/r/434445

Change 434448 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Handle invalid lexemeId in data when using wbeditentity new=form

https://gerrit.wikimedia.org/r/434448

Change 434459 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.4] API: when validating change op make sure the edited entity is also validated

https://gerrit.wikimedia.org/r/434459

Change 434459 merged by Addshore:
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.4] API: when validating change op make sure the edited entity is also validated

https://gerrit.wikimedia.org/r/434459

Mentioned in SAL (#wikimedia-operations) [2018-05-22T12:33:53Z] <addshore@tin> Synchronized php-1.32.0-wmf.4/extensions/Wikibase/repo: [[gerrit:434459|API: when validating change op make sure the edited entity is also validated]] T190928 (duration: 01m 52s)

Change 434445 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Use ChangeOps consistently throughout API

https://gerrit.wikimedia.org/r/434445

Change 434448 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Handle invalid lexemeId in data when using wbeditentity new=form

https://gerrit.wikimedia.org/r/434448

Lydia_Pintscher closed this task as Resolved.May 23 2018, 9:40 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/